import { _decorator, Component, Prefab, size } from 'cc';
import LoopList from './LoopList';
import { IData } from './TestShowNode';
const { ccclass, property } = _decorator;

@ccclass('TestLoop')
export class TestLoop extends Component {
    /**滚动组件 */
    @property(LoopList)
    public loopList: LoopList<IData> = null;
    /**显示节点预制件 */
    @property(Prefab)
    public showPrefab: Prefab = null;

    start() {
        let data: IData[] = [];
        for (let i = 0, len = 30; i < len; ++i) {
            data.push({ index: i, text: "内容" + i });
        }
        this.loopList.initData(data, this.showPrefab, size(750, 100))
    }
}


